Page MenuHomePhabricator

"Could not retrieve notifications" error message should not contain raw "$1"
Closed, ResolvedPublic

Description

Enable 'Enhanced notifications' in beta enwiki.

Notifications from other wikis won't be displayed in Echo flyout

Details

Related Gerrit Patches:

Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 15 2016, 9:52 PM

The actual cause of the error (https vs http) is a beta labs configuration issue, but the error message shouldn't contain "$1".

Catrope renamed this task from cross-wiki notification: "Could not retrieve notifications. Please try again. (Error 1)" to "Could not retrieve notifications" error message should not contain raw "$1".Jan 19 2016, 3:03 AM
Catrope set Security to None.

Change 265652 had a related patch set uploaded (by Mooeypoo):
Create a specific message for CORS failure in cross-wiki API request

https://gerrit.wikimedia.org/r/265652

Change 265652 merged by jenkins-bot:
Create a specific message for CORS failure in cross-wiki API request

https://gerrit.wikimedia.org/r/265652

The following will be displayed as in the screenshot below:
"echo-api-failure": "Could not retrieve notifications. Please try again. (Error $1)"
"echo-api-failure-cross-wiki": "Access to the remote domain was denied."

jmatazzoni closed this task as Resolved.Feb 16 2016, 6:18 PM